Bug 1896296 - Git links should avoid .git as part of the URL and should not link git:// urls in general
Summary: Git links should avoid .git as part of the URL and should not link git:// url...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Mohammed Saud
QA Contact: Gajanan More
Harsh Mishra
URL:
Whiteboard:
Depends On:
Blocks: 1898096
TreeView+ depends on / blocked
 
Reported: 2020-11-10 08:45 UTC by Mohammed Saud
Modified: 2021-02-24 15:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, when you created an application using source code from Git repositories with the `.git` suffix, and then clicked the edit source code link, a "page not found" error was displayed. This fix removes the `.git` suffix from the repository URL and transforms the SSH URL to an HTTPS URL. The generated link now leads to the correct repository page.
Clone Of:
: 1898096 1898102 (view as bug list)
Environment:
Version: 4.7.0-0.nightly-2020-10-27-051128 Cluster ID: 9ec9a241-3ad7-4cc5-9c9f-cf4c57a19286 Browser: Mozilla/5.0 (X11; Fedora; Linux x86_64; rv:82.0) Gecko/20100101 Firefox/82.0
Last Closed: 2021-02-24 15:32:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7158 0 None closed Bug 1896296: Ensure correct git URL for topology edit icon 2021-02-18 19:31:40 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:33:02 UTC

Description Mohammed Saud 2020-11-10 08:45:49 UTC
Description of problem:


    Using a git HTTPS URL with .git suffix like "https://github.com/sclorg/django-ex.git" when adding a deployment the edit link in topology links to an invalid (GitHub) URL "https://github.com/sclorg/django-ex.git/tree/master" which results in a 404 Error.
    Using the git SSH URL "git@github.com:sclorg/django-ex.git" when adding a deployment, the edit link in topology links to an invalid page on the cluster ("http://localhost:9000/git@github.com:sclorg/django-ex.git/tree/master") which results also in a 404 Error.

Prerequisites (if any, like setup, operators/versions):

    Need to be tested with and without Che / Workspace operator

Steps to Reproduce

    Create deployments with this git URLs for the different uses cases:
        "https://github.com/sclorg/django-ex"
        "https://github.com/sclorg/django-ex.git"
        "git@github.com:sclorg/django-ex.git
    Open the Topology and click the edit sourcecode links of the deployments in the bottom right corner.

Comment 2 Andrew Ballantyne 2020-12-04 15:50:48 UTC
VERIFIED on 4.7.0-0.nightly-2020-12-04-013308

Link properly takes you to Github when using a link that has a suffix of `.git`

Comment 5 errata-xmlrpc 2021-02-24 15:32:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.